var ExcelJsonStr = '';

function StartStatistic(){
	var isBpo = getIsBpo();
	var source = $(".table_con span:eq(2)").html();
	var year  = $(".table_con span:eq(3)").html();
//	if(isBpo==''){
//		alert('请选择扫描机构');
//		return;
//	}
	if(source==''||source==undefined||source=='请选择赔案来源'){
//		alert('请选择赔案来源');
//		return;
		source='';
	}else{
		source = getCaseSuorceNo(source);
	}
	if(year==''||year=='请选择统计年度'){
		alert('请选择统计年度');
		return;
	}
	ExcelJsonStr ='';
	showLoading();
	$.ajax({
		type : "POST",
		url : "/claimserver/bpoInterface/queryBpoQualityStatistic.do",
		data : {
			"isBpo" : isBpo,
			"source" : source,
			"year" : year
		},
		success : function(data) {
			if(data!=null&&data.length>0){
				$("#SHcon2 table tr").each(function(i){
					if(i>1){
						$(this).remove();
					}
				});
				$("#SHcon2 table tr:eq(0) + tr").remove();
				for(var i=0;i<data.length;i++){
					var trHtml = '<tr><td>'+data[i].month+'</td><td>'+data[i].count+'</td><td>'+data[i].prescription+'</td><td>'+data[i].errorCout+'</td><td>'+data[i].rate+'</td></tr>';
					$("#SHcon2 table").append(trHtml);
					
					ExcelJsonStr+='{"month":"'+data[i].month+'",'
							    +'"count":"'+data[i].count+'",'
							    +'"prescription":"'+data[i].prescription+'",'
							    +'"errorCout":"'+data[i].errorCout+'",'
							    +'"rate":"'+data[i].rate+'"},';
				}
				if(ExcelJsonStr!=''){
					ExcelJsonStr ="["+ExcelJsonStr.substring(0,ExcelJsonStr.length-1)+"]";
				}
				$("#SHcon2").show(); 
				closeLoading();
			}else{
				$("#SHcon2 table tr").each(function(i){
					if(i>=1){
						$(this).remove();
					}
				});
				closeLoading();
				alert("未查询到符合条件的数据");
			}
		},
		error : function() {
			closeLoading();
			alert("查询数据失败");
		}
	});	
}

//扫描机构勾选情况   1.BPO   2.非BPO  3.全部     
function getIsBpo(){
	var type="";
	var bpo_y=$(".table_con span:eq(0)").attr("class")=='check_yes'?'Y':'N';
	var bpo_n=$(".table_con span:eq(1)").attr("class")=='check_yes'?'Y':'N';
	if(bpo_y=='Y'&&bpo_n=='Y'){
		type='';
	}
	if(bpo_y=='Y'&&bpo_n=='N'){
		type='01';
	}
	if(bpo_y=='N'&&bpo_n=='Y'){
		type='02';
	}
	return type;
}

//获取赔案来源编号
function getCaseSuorceNo(text){
	var SuorceNo = '';
	if(text!=''&&text!=undefined){
		$(".table_con li").each(function(){
			if($(this).html()==text){
				SuorceNo = $(this).attr("id");
			}
		});
	}
	return SuorceNo;
}


function excelExport(){
	if(ExcelJsonStr==''){
		alert("没有需要导出的数据");
	}else{
		$("#ExcelJsonStr").val(ExcelJsonStr);
		$("form").attr('action','/claimserver/bpoInterface/excleExportQualityStatistic.do');
		$("form").submit();
	}
}




